<?php global $kapa_opt;
/**
 * The template for displaying 404 pages (not found)
 *
 * @link https://codex.wordpress.org/Creating_an_Error_404_Page
 *
 * @package kapa
*/

get_header(); 

$banner_bg = isset( $kapa_opt['error_bg']['url']) ? $kapa_opt['error_bg']['url'] : ''; 

?>
	<div class="page-banner-area"  style="background-image: url(<?php echo esc_url( $banner_bg ); ?>);">
		<div class="container-fluid">
			<div class="page-banner-content">
				<ul>
					<li><a href="<?php echo esc_url( home_url( '/' ) ); ?>"><?php esc_html_e( 'Home', 'kapa' ); ?></a></li>
					<li><?php esc_html_e('404 Error', 'kapa') ?></li>
				</ul>
				<h2><?php esc_html_e('404 Error', 'kapa') ?></h2>
			</div>
		</div>
	</div>

	<div class="error-area ptb-100">
		<div class="container">
			<div class="error-content">
				<?php if ( isset( $kapa_opt['img_404']['url'] ) && $kapa_opt['img_404']['url'] !='' ) : ?>
					<img src="<?php echo esc_url( $kapa_opt['img_404']['url'] ); ?> " alt="<?php esc_attr_e( '404 Image', 'kapa' ); ?>">
				<?php else: ?>
					<img src="<?php echo esc_url(get_template_directory_uri() .'/assets/img/error.png' ); ?>" alt="<?php esc_attr_e( '404 Image', 'kapa' ); ?>">
				<?php endif; ?>

				<?php if( isset( $kapa_opt['content_not_found'] ) ): ?>
					<h3><?php echo esc_html( $kapa_opt['content_not_found'] ); ?></h3>
				<?php else: ?>
					<h3><?php esc_html_e('Oops! Page Not Found', 'kapa'); ?></h3>
				<?php endif; ?>

				<?php if( isset( $kapa_opt['long_content_not_found'] ) ): ?>
					<p><?php echo esc_html( $kapa_opt['long_content_not_found'] ); ?></p>
				<?php else: ?>
					<p><?php esc_html_e('The page you are looking for might have been removed had its name changed or is temporarily unavailable.', 'kapa'); ?></p>
				<?php endif; ?>

				<?php if( isset( $kapa_opt['button_not_found'] ) ): ?>
					<?php if( $kapa_opt['button_not_found'] != '' ): ?>
						<a href="<?php echo esc_url( home_url( '/' ) ); ?>" class="default-btn"><?php echo esc_html( $kapa_opt['button_not_found'] ); ?></a>
					<?php endif; ?>
				<?php else: ?>
					<a href="<?php echo esc_url( home_url( '/' ) ); ?>" class="default-btn"><?php esc_html_e( 'Back to Home', 'kapa' ); ?></a>
				<?php endif; ?>
			</div>
		</div>
	</div>
<?php get_footer();