<?php
/**
 * The archive file
 * @package kapa
 */
get_header();

// Blog Sidebar
if( isset( $kapa_opt['kapa_blog_sidebar'] ) ) {
    if( $kapa_opt['kapa_blog_sidebar'] == 'kapa_without_sidebar_center' ) :
        $kapa_sidebar_class = 'col-lg-8 col-md-12 offset-lg-2';
    elseif( $kapa_opt['kapa_blog_sidebar'] == 'kapa_without_sidebar' ) :
        $kapa_sidebar_class = 'col-lg-12 col-md-12';
    else:
        if( is_active_sidebar( 'article-sidebar' ) ):
            $kapa_sidebar_class = 'col-lg-8 col-md-12';
        else:
            $kapa_sidebar_class = 'col-lg-8 col-md-12 offset-lg-2';
        endif;
    endif;
    $sidebar_hide           = $kapa_opt['kapa_blog_sidebar'];
    $hide_blog_banner       = $kapa_opt['hide_blog_banner'];
    $hide_breadcrumb        = $kapa_opt['hide_breadcrumb'];
} else {
    if( is_active_sidebar( 'article-sidebar' ) ):
        $kapa_sidebar_class         = 'col-lg-8 col-md-12';
        $sidebar_hide = 'kapa_with_sidebar_right';
    else:
        $kapa_sidebar_class         = 'col-lg-8 col-md-12 offset-lg-2';
        $sidebar_hide                = 'kapa_without_sidebar';
    endif;
    $hide_blog_banner = false;
    $hide_breadcrumb  = false;
}

// After Hiding Banner add spacing
if( $hide_blog_banner == true ) {
    $page_spac = 'mt-80';
} else {
    $page_spac = '';
}
$blog_link = get_permalink( get_option( 'page_for_posts' ));

$banner_bg = isset( $kapa_opt['archive_bg']['url']) ? $kapa_opt['archive_bg']['url'] : '';

?>
    <!-- Start Page Title Area -->
    <?php if( $hide_blog_banner == false ) : ?>
        <div class="page-banner-area" style="background-image:url(<?php echo esc_url( $banner_bg ); ?>);">
            <div class="container-fluid">
                <div class="page-banner-content">

                    <?php if( $hide_breadcrumb == false ) : ?>
                        <ul>
                            <li><a href="<?php echo esc_url( $blog_link ); ?>"><?php esc_html_e( 'Blog', 'kapa' ); ?></a></li>
                            <li><span><?php the_archive_title(); ?></span></li>
                            <?php if( get_the_archive_description() != '' ): ?>
                                <li><?php the_archive_description(); ?></li>
                            <?php endif; ?>
                        </ul>
					<?php endif; ?>
                    
                    <h2><?php the_archive_title(); ?></h2>
                </div>
            </div>
        </div>
    <?php endif; ?>

    <!-- Start Blog Area -->
    <div class="blog-area ptb-100 <?php echo esc_attr( $page_spac ); ?>">
        <div class="container">
            <div class="row">
                <?php if( $sidebar_hide == 'kapa_with_sidebar_left' ): ?>
                    <?php get_sidebar(); ?>
                <?php endif; ?>
                <!-- Start Blog Content -->
                <div class="<?php echo esc_attr( $kapa_sidebar_class ); ?>">
                    <?php
                    if ( have_posts() ) :
                        while ( have_posts() ) :
                            the_post();
                            get_template_part( 'template-parts/content', get_post_format());
                        endwhile;
                    else :
                        get_template_part( 'template-parts/content', 'none' );
                    endif;
                    ?>
                    <!-- Start Pagination -->
                    <?php kapa_pagination(); ?>
                </div>
                
                <?php if( $sidebar_hide == 'kapa_with_sidebar_right' ) : ?>
                    <?php get_sidebar(); ?>
                <?php endif; ?>
            </div>   
        </div>
    </div>
<?php
get_footer();
