<?php global $kapa_opt;
/**
 * The template for displaying the footer
 * @package Kapa
*/

	$enable_back_to_top = isset( $kapa_opt['enable_back_to_top']) ? $kapa_opt['enable_back_to_top'] : '1'; 
	$copyright_text = isset( $kapa_opt['copyright_text']) ? $kapa_opt['copyright_text'] : ''; 
	
	if( $copyright_text != '' ) :
		$footer_area = "";
	else:
		$footer_area = "pb-70";
	endif;
?>

	<?php if ( is_active_sidebar( 'footer-one' ) || is_active_sidebar( 'footer-two' )  || is_active_sidebar( 'footer-three' ) ) : ?>
		<div class="footer-area pt-100 <?php echo esc_html( $footer_area ); ?>">
			<div class="container">
				<div class="row justify-content-center">
					<div class="col-lg-4 col-sm-6">
						<?php if ( is_active_sidebar( 'footer-one' ) ) { ?>
							<?php dynamic_sidebar('footer-one'); ?>
						<?php } ?>
					</div>

					<div class="col-lg-5 col-sm-6">
						<?php if ( is_active_sidebar( 'footer-two' ) ) { ?>
							<?php dynamic_sidebar('footer-two'); ?>
						<?php } ?>
					</div>

					<div class="col-lg-3 col-sm-6">
						<?php if ( is_active_sidebar( 'footer-three' ) ) { ?>
							<?php dynamic_sidebar('footer-three'); ?>
						<?php } ?>
					</div>
				</div>

				<?php if ( $copyright_text != ''): ?>
					<div class="copyright-area">
						<div class="container">
							<div class="row justify-content-center align-items-center">
								<div class="col-lg-6 col-sm-6">
									<?php if( has_nav_menu('footer-menu') ) :
										$args = array(
											'theme_location' 	=> 'footer-menu',
											'menu'            	=> 'footer-menu',
											'container'       	=> 'ul',
											'fallback_cb'  		=> false,
											'menu_class'      	=> 'copyright-area-list',
											'depth'           	=> 1,
										);
										wp_nav_menu( $args );
									endif; ?>
								</div>

								<div class="col-lg-6 col-sm-6">
									<div class="copyright-area-content">
										<p><?php echo wp_kses_post($kapa_opt['copyright_text']); ?></p>
									</div>
								</div>
							</div>
						</div>
					</div>
				<?php endif; ?>
			</div>

			<?php if ( isset( $kapa_opt['shape_image']['url'] ) && $kapa_opt['shape_image']['url'] !='' ) : ?>
				<div class="footer-shape-1">
					<img src="<?php echo esc_url( $kapa_opt['shape_image']['url'] ); ?>" alt="<?php esc_attr_e( 'Shape Image', 'kapa' ); ?>">
				</div>
			<?php else: ?>
				<div class="footer-shape-1">
					<img src="<?php echo esc_url(get_template_directory_uri() .'/assets/img/line-shape.png' ); ?>" alt="<?php esc_attr_e( 'Shape Image', 'kapa' ); ?>">
				</div>
			<?php endif; ?>

			<?php if ( isset( $kapa_opt['shape_image2']['url'] ) && $kapa_opt['shape_image2']['url'] !='' ) : ?>
				<div class="footer-shape-2">
					<img src="<?php echo esc_url( $kapa_opt['shape_image2']['url'] ); ?>" alt="<?php esc_attr_e( 'Shape 2', 'kapa' ); ?>">
				</div>
			<?php else: ?>
				<div class="footer-shape-2">
					<img src="<?php echo esc_url(get_template_directory_uri() .'/assets/img/line-shape.png' ); ?>" alt="<?php esc_attr_e( 'Shape 2', 'kapa' ); ?>">
				</div>
			<?php endif; ?>
		</div>
	<?php endif; ?>

	<?php if( $enable_back_to_top == true ) : ?>
		<div class="go-top">
			<i class="ri-arrow-up-s-line"></i>
		</div>
	<?php endif; ?>


	<?php wp_footer(); ?>

	</body>
</html>