<?php
/**
 * Register custom style.
 */

if ( ! function_exists( 'kapa_custom_style' ) ) {
    function kapa_custom_style(){
        
        $custom_style ='';
        global $kapa_opt;

       if ( function_exists('get_field') ) {
            $nav_bg_color = get_field('nav_bg_color');
            if( is_home() ) {
                $post_page_id = get_option( 'page_for_posts' );
                $nav_bg_color = get_field('nav_bg_color', $post_page_id);
            }

            if ( !empty( $nav_bg_color ) ) {
                $custom_style .= ".navbar-area { background-color: $nav_bg_color ; }";
            }
       }

        // Disable Sticky Header
        if( isset ($kapa_opt['disable_sticky_header']) ):
            if( $kapa_opt['disable_sticky_header'] == false ):
                $custom_style .='
                .navbar-area.is-sticky {
                    display: none;
                }
                ';
            endif;
        endif;

        // Custom Css
        if( isset($kapa_opt['css_code'] ) && !empty($kapa_opt['css_code']) ):
            $custom_style .= $kapa_opt['css_code'];
        endif;

        if( !is_user_logged_in() ){ 
            $custom_style .=' #wpadminbar {
                display: none;
            }';
        }

        wp_add_inline_style('kapa-main-style', $custom_style);

        // Custom Js
        $custom_script ='';
        if( isset($kapa_opt['js_code'] )){
            $custom_script .= $kapa_opt['js_code'];
        }
        
        wp_add_inline_script( 'kapa-main', $custom_script );
    }
}
add_action( 'wp_enqueue_scripts', 'kapa_custom_style' );