<?php
/**
 * Enqueue scripts and styles.
 */
if ( ! function_exists( 'kapa_scripts' ) ) :

	function kapa_scripts() {

		wp_enqueue_style( 'kapa-style', get_stylesheet_uri() );
		wp_style_add_data( 'kapa-style', 'rtl', 'replace' );

		wp_enqueue_style( 'bootstrap', 			    KAPA_CSS . '/bootstrap.min.css', null, KAPA_VERSION );
		wp_enqueue_style( 'aos', 			        KAPA_CSS . '/aos.css', null, KAPA_VERSION );
		wp_enqueue_style( 'animate', 			    KAPA_CSS . '/animate.min.css', null, KAPA_VERSION );
		wp_enqueue_style( 'meanmenu', 			    KAPA_CSS . '/meanmenu.css', null, KAPA_VERSION );
		wp_enqueue_style( 'remixicon', 			    KAPA_CSS . '/remixicon.css', null, KAPA_VERSION );
		wp_enqueue_style( 'flaticon', 			    KAPA_CSS . '/flaticon.css', null, KAPA_VERSION );
		wp_enqueue_style( 'odometer', 			    KAPA_CSS . '/odometer.min.css', null, KAPA_VERSION );
		wp_enqueue_style( 'owl-carousel', 		    KAPA_CSS . '/owl.carousel.min.css', null, KAPA_VERSION );
		wp_enqueue_style( 'owl-theme-default', 		KAPA_CSS . '/owl.theme.default.min.css', null, KAPA_VERSION );
		wp_enqueue_style( 'magnific-popup', 	    KAPA_CSS . '/magnific-popup.min.css', null, KAPA_VERSION );
		wp_enqueue_style( 'fancybox', 	            KAPA_CSS . '/fancybox.min.css', null, KAPA_VERSION );
		wp_enqueue_style( 'nice-select', 	        KAPA_CSS . '/nice-select.min.css', null, KAPA_VERSION );
		wp_enqueue_style( 'showmoreitems-theme', 	KAPA_CSS . '/showMoreItems-theme.min.css', null, KAPA_VERSION );
		
		if( kapa_rtl() == true ):
			if ( class_exists( 'WooCommerce' ) ):
				wp_enqueue_style( 'kapa-woocommerce',  get_template_directory_uri() . '/assets/css/rtl/rtl-woocommerce.css');
			endif;
			wp_enqueue_style( 'kapa-main-style',   get_template_directory_uri() . '/assets/css/rtl/rtl-style.css', null, KAPA_VERSION);
			wp_enqueue_style( 'kapa-navbar',       get_template_directory_uri() . '/assets/css/rtl/rtl-navbar.css', null, KAPA_VERSION);
			wp_enqueue_style( 'kapa-footer',       get_template_directory_uri() . '/assets/css/rtl/rtl-footer.css', null, KAPA_VERSION);
			wp_enqueue_style( 'kapa-blog',         get_template_directory_uri() . '/assets/css/rtl/rtl-blog.css', null, KAPA_VERSION);
			wp_enqueue_style( 'kapa-responsive',   get_template_directory_uri() . '/assets/css/rtl/rtl-responsive.css', null, KAPA_VERSION);
		else:
			if ( class_exists( 'WooCommerce' ) ):
				wp_enqueue_style( 'kapa-woocommerce',  get_template_directory_uri() . '/assets/css/kapa-woocommerce.css');
			endif;
			wp_enqueue_style( 'kapa-main-style', 	    KAPA_CSS . '/kapa-main-style.css', null, KAPA_VERSION );
			wp_enqueue_style( 'kapa-navbar', 	        KAPA_CSS . '/kapa-navbar.css', null, KAPA_VERSION );
			wp_enqueue_style( 'kapa-footer', 	        KAPA_CSS . '/kapa-footer.css', null, KAPA_VERSION );
			wp_enqueue_style( 'kapa-blog', 	            KAPA_CSS . '/kapa-blog.css', null, KAPA_VERSION );
			wp_enqueue_style( 'kapa-responsive', 	    KAPA_CSS . '/kapa-responsive.css', null, KAPA_VERSION );
		endif;

		// RTL CSS
		if( kapa_rtl() == true ):
			wp_enqueue_style( 'kapa-rtl', get_template_directory_uri() . '/style-rtl.css' );
		endif;
		
		/**
         * Enqueueing JavaScript Files
        */
		wp_enqueue_script( 'bootstrap-bundle', 		KAPA_JS . '/bootstrap.bundle.min.js', array('jquery'), KAPA_VERSION );
		wp_enqueue_script( 'jquery-meanmenu', 	    KAPA_JS . '/jquery.meanmenu.js', array('jquery'),KAPA_JS );
		wp_enqueue_script( 'owl-carousel', 			KAPA_JS . '/owl.carousel.min.js', array('jquery'), KAPA_VERSION );
		wp_enqueue_script( 'jquery-appear', 	    KAPA_JS . '/jquery.appear.js', array('jquery'), KAPA_VERSION );
		wp_enqueue_script( 'odometer', 	            KAPA_JS . '/odometer.min.js', array('jquery'), KAPA_VERSION );
		wp_enqueue_script( 'jquery-magnific-popup', KAPA_JS . '/jquery.magnific-popup.min.js', array('jquery'), KAPA_VERSION );
		wp_enqueue_script( 'tweenmax',              KAPA_JS . '/tweenmax.min.js', array('jquery'), KAPA_VERSION );
		wp_enqueue_script( 'scrollmagic',           KAPA_JS . '/ScrollMagic.min.js', array('jquery'), KAPA_VERSION );
		wp_enqueue_script( 'animation-gsap',        KAPA_JS . '/animation.gsap.min.js', array('jquery'), KAPA_VERSION );
		wp_enqueue_script( 'debug-addindicators',   KAPA_JS . '/debug.addIndicators.min.js', array('jquery'), KAPA_VERSION );
		wp_enqueue_script( 'nice-select',           KAPA_JS . '/nice-select.min.js', array('jquery'), KAPA_VERSION );
		wp_enqueue_script( 'tilt-jquery',           KAPA_JS . '/tilt.jquery.min.js', array('jquery'), KAPA_VERSION );
		wp_enqueue_script( 'fancybox',              KAPA_JS . '/fancybox.min.js', array('jquery'), KAPA_VERSION );
		wp_enqueue_script( 'parallax',              KAPA_JS . '/parallax.min.js', array('jquery'), KAPA_VERSION );
		wp_enqueue_script( 'jquery-ajaxchimp', 	    KAPA_JS . '/jquery.ajaxchimp.min.js', array('jquery'),KAPA_JS ); 
		wp_enqueue_script( 'aos', 	                KAPA_JS . '/aos.js', array('jquery'),KAPA_JS );
		wp_enqueue_script( 'wow', 		            KAPA_JS . '/wow.min.js', array('jquery'), KAPA_VERSION );
		wp_enqueue_script( 'showmoreitems', 		KAPA_JS . '/showMoreItems.min.js', array('jquery'), KAPA_VERSION );
		wp_enqueue_script( 'kapa-main', 			KAPA_JS . '/kapa-main.js', array('jquery','masonry'), KAPA_VERSION );
		
		if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
			wp_enqueue_script( 'comment-reply' );
		}
	}
	
endif;
add_action( 'wp_enqueue_scripts', 'kapa_scripts' );
