<?php
/**
 * Functions which enhance the theme by hooking into WordPress
 * @package Kapa
 */

/**
 * Filter the categories archive widget to add a span around post count
 */
if ( ! function_exists( 'kapa_cat_count_span' ) ) {
	function kapa_cat_count_span( $links ) {
		$links = str_replace( '</a> (', '</a><span class="post-count">(', $links );
		$links = str_replace( ')', ')</span>', $links );
		return $links;
	}
}
add_filter( 'wp_list_categories', 'kapa_cat_count_span' );

/**
 * Filter the archives widget to add a span around post count
 */
if ( ! function_exists( 'kapa_archive_count_span' ) ) {
	function kapa_archive_count_span( $links ) {
		$links = str_replace( '</a>&nbsp;(', '</a><span class="post-count">(', $links );
		$links = str_replace( ')', ')</span>', $links );
		return $links;
	}
}
add_filter( 'get_archives_link', 'kapa_archive_count_span' );

/**
 * Excerpt more text
 */
if ( ! function_exists( 'kapa_excerpt_more' ) ) :
	function kapa_excerpt_more( $more ) {
		return ' ';
	}
endif;
add_filter('excerpt_more', 'kapa_excerpt_more');

/**
 * Menu Registration
*/
if ( ! function_exists( 'kapa_register_primary_menus' ) ) :
	function kapa_register_primary_menus(){
		register_nav_menus(
			array(
				'primary'       => esc_html__('Primary Menu', 'kapa'),
				'footer-menu'   => esc_html__('Footer Menu', 'kapa'),
			)
		);
	}
endif;
add_action('init', 'kapa_register_primary_menus');

// Remove auto p from Contact Form 7 shortcode output
if ( ! function_exists( 'kapa_remove_wpcf7_extra_p' ) ) {
	function kapa_remove_wpcf7_extra_p() {
		return false;
	}
}
add_filter('wpcf7_autop_or_not', 'kapa_remove_wpcf7_extra_p');