<?php
/**
 * Register Theme Widget
 * @package Kapa
*/

// Theme Sidebar
if ( ! function_exists( 'kapa_widgets_init' ) ) {
    function kapa_widgets_init() {
        global $kapa_opt;
        register_sidebar( array(
            'name'          => esc_html__( 'Blog Sidebar', 'kapa' ),
            'id'            => 'article-sidebar',
            'description'   => esc_html__( 'Add widgets here.', 'kapa' ),
            'before_widget' => '<div id="%1$s" class="widget %2$s">',
            'after_widget'  => '</div>',
            'before_title'  => '<h3 class="widget-title"><span>',
            'after_title'   => '</span></h3>',
        ) );

        // Shop Sidebar
        if (class_exists('WooCommerce')):
            register_sidebar( array( 
                'name'          => esc_html__( 'Shop Sidebar', 'kapa' ),
                'id'            => 'shop',
                'description'   => esc_html__( 'Add widgets here.', 'kapa' ),
                'before_widget' => '<div class="widget %2$s">',
                'after_widget'  => '</div>',
                'before_title'  => '<h3>',
                'after_title'   => '</h3>',
            ) );
        endif;

        // Footer One
        register_sidebar( array( 
            'name'          => esc_html__( 'Footer First', 'kapa' ),
            'id'            => 'footer-one',
            'description'   => esc_html__( 'Add widgets here.', 'kapa' ),
            'before_widget' => '<div class="widget single-footer-widget %2$s">',
            'after_widget'  => '</div>',
            'before_title'  => '<h3 class="widget_title">',
            'after_title'   => '</h3>',
        ) );
        
        // Footer Two
        register_sidebar( array( 
            'name'          => esc_html__( 'Footer Second', 'kapa' ),
            'id'            => 'footer-two',
            'description'   => esc_html__( 'Add widgets here.', 'kapa' ),
            'before_widget' => '<div class="widget single-footer-widget %2$s">',
            'after_widget'  => '</div>',
            'before_title'  => '<h3 class="widget_title">',
            'after_title'   => '</h3>',
        ) );
        // Footer Two
        register_sidebar( array( 
            'name'          => esc_html__( 'Footer Three', 'kapa' ),
            'id'            => 'footer-three',
            'description'   => esc_html__( 'Add widgets here.', 'kapa' ),
            'before_widget' => '<div class="widget single-footer-widget %2$s">',
            'after_widget'  => '</div>',
            'before_title'  => '<h3 class="widget_title">',
            'after_title'   => '</h3>',
        ) );
    }
}
add_action( 'widgets_init', 'kapa_widgets_init' );