<?php
/**
 * The archive file
 * @package kapa
 */
get_header();

// Blog Sidebar
if( isset( $kapa_opt['kapa_blog_sidebar'] ) ) {
    if( $kapa_opt['kapa_blog_sidebar'] == 'kapa_without_sidebar_center' ) :
        $kapa_sidebar_class = 'col-lg-8 col-md-12 offset-lg-2';
    elseif( $kapa_opt['kapa_blog_sidebar'] == 'kapa_without_sidebar' ) :
        $kapa_sidebar_class = 'col-lg-12 col-md-12';
    else:
        if( is_active_sidebar( 'article-sidebar' ) ):
            $kapa_sidebar_class = 'col-lg-8 col-md-12';
        else:
            $kapa_sidebar_class = 'col-lg-8 col-md-12 offset-lg-2';
        endif;
    endif;
    $sidebar_hide = $kapa_opt['kapa_blog_sidebar'];
} else {
    if( is_active_sidebar( 'article-sidebar' ) ):
        $kapa_sidebar_class = 'col-lg-8 col-md-12';
        $sidebar_hide = 'kapa_with_sidebar_right';
    else:
        $kapa_sidebar_class = 'col-lg-8 col-md-12 offset-lg-2';
        $sidebar_hide = 'kapa_without_sidebar';
    endif;
}

$post_page_id       = get_option( 'page_for_posts' );
if( function_exists('acf_add_options_page') ) {
	$hide_blog_banner 	= get_field( 'enable_page_banner', $post_page_id);
	$hide_breadcrumb 	= get_field( 'hide_breadcrumb' , $post_page_id);
	$custom_title 	    = get_field( 'enable_cus_pagetitle' , $post_page_id);
} else {
	$hide_blog_banner 	= false;
	$hide_breadcrumb 	= false;
	$custom_title 	    = false;
}

// After Hiding Banner add spacing
if( $hide_blog_banner == true ) {
    $page_spac = 'mt-80';
} else {
    $page_spac = '';
} 

$banner_bg = isset( $kapa_opt['blog_bg']['url']) ? $kapa_opt['blog_bg']['url'] : '';

?>

<!-- Start Page Title Area -->
<?php if( $hide_blog_banner == false ) : ?>
    <div class="page-banner-area" style="background-image:url(<?php echo esc_url( $banner_bg ); ?>);">
        <div class="container-fluid">
            <div class="page-banner-content">
                <?php if( $hide_breadcrumb == false ) : ?>
                    <ul>
                        <li><a href="<?php echo esc_url( home_url( '/' ) ); ?>"><?php esc_html_e( 'Home', 'kapa' ); ?></a></li>
                        <?php if( $custom_title == true && get_field( 'cus_pagetitle' , $post_page_id) != '' ) { ?>
                            <li><?php echo esc_html( get_field( 'cus_pagetitle' , $post_page_id ) ); ?></li>
                        <?php } else { ?>
                            <li><?php esc_html_e( 'Blog', 'kapa' ); ?></li>
                        <?php } ?>
                    </ul>
                <?php endif; ?>
                <?php if( $custom_title == true && get_field( 'cus_pagetitle' , $post_page_id) != '' ) { ?>
                    <h2><?php echo esc_html( get_field( 'cus_pagetitle' , $post_page_id ) ); ?></h2>
                <?php } else { ?>
                    <h2> <?php esc_html_e( 'Blog', 'kapa' ); ?> </h2>
                <?php } ?>
            </div>
        </div>
    </div>
<?php endif; ?>

<!-- Start Blog Area -->
<div class="blog-area pt-100 pb-100 <?php echo esc_attr( $page_spac ); ?>">
    <div class="container">
        <div class="row">
            <?php if( $sidebar_hide == 'kapa_with_sidebar_left' ): ?>
                <?php get_sidebar(); ?>
            <?php endif; ?>
            <!-- Start Blog Content -->
            <div class="<?php echo esc_attr( $kapa_sidebar_class ); ?>">
                <?php
                if ( have_posts() ) :
                    while ( have_posts() ) :
                        the_post();
                        get_template_part( 'template-parts/content', get_post_format());
                    endwhile;
                else :
                    get_template_part( 'template-parts/content', 'none' );
                endif;
                ?>
        
                <!-- Stat Pagination -->
                <?php kapa_pagination(); ?>
                <!-- End Pagination -->
            </div>
            <!-- End Blog Content -->
            
            <?php if( $sidebar_hide == 'kapa_with_sidebar_right' ): ?>
                <?php get_sidebar(); ?>
            <?php endif; ?>
        </div>   
    </div>
</div>

<?php
get_footer();