<?php global $kapa_opt;
/**
 * The template for displaying all pages
 */

get_header();

/**
 * Page Control
 */
if( function_exists('acf_add_options_page') ) {
	$hide_banner 		= get_field( 'enable_page_banner' );
	$hide_breadcrumb 	= get_field( 'hide_breadcrumb' );
	$custom_title 	    = get_field( 'enable_cus_pagetitle' );
}else {
	$hide_banner 		= false;
	$hide_breadcrumb 	= false;
	$custom_title 	    = false;
}
// After Hiding Banner add spacing
if( $hide_banner == true ) {
    $page_spac = 'mt-80';
} else {
    $page_spac = '';
}

$banner_bg = get_the_post_thumbnail_url(); 
?>
	<?php if( $hide_banner == false ) { ?>
		<div class="page-banner-area" style="background-image:url(<?php echo esc_url( $banner_bg ); ?>);">
			<div class="container-fluid">
				<div class="page-banner-content">
					<?php if( $hide_breadcrumb == false ) : ?>
						<ul>
							<li><a href="<?php echo esc_url( home_url( '/' ) ); ?>"><?php esc_html_e( 'Home', 'kapa' ); ?></a></li>
							<li><span><?php the_title(); ?></span></li>
						</ul>
					<?php endif; ?>
				
					<?php if( $custom_title == true && get_field( 'cus_pagetitle' ) != '' ) { ?>
						<h2><?php echo esc_html( get_field( 'cus_pagetitle' ) ); ?></h2>
					<?php } else { ?>
						<h2><?php the_title(); ?></h2>
					<?php } ?>
				</div>
			</div>
		</div>
	<?php } ?>

	<?php if( !kapa_is_elementor() && 'product' != get_post_type() ): ?><div class="page-main-content"><?php endif; ?>
		<div class="page-area <?php echo esc_attr( $page_spac ); ?>">
			<?php if( !kapa_is_elementor() && 'product' != get_post_type() ): ?><div class="container"><?php endif; ?>
				<?php while ( have_posts() ) : the_post(); ?>
					<?php $thecontent = get_the_content(); // If no content ?>
					<?php if(empty( $thecontent )) { ?> <div class="kapa-single-blank-page"></div><?php } ?>
					<?php get_template_part( 'template-parts/content', 'page' ); ?>
					<?php if ( comments_open() || get_comments_number() ) : comments_template(); endif; // If comments are open or we have at least one comment, load up the comment template. ?>
				<?php endwhile; // End of the loop. ?>
			<?php if( !kapa_is_elementor() && 'product' != get_post_type() ): ?></div><?php endif; ?>
		</div>
	<?php if( !kapa_is_elementor() && 'product' != get_post_type() ): ?></div><?php endif; ?>

<?php get_footer();