<?php
/**
 * The template for displaying search results pages
 * @package kapa
 */
get_header();

// Blog Sidebar
if( isset( $kapa_opt['kapa_blog_sidebar'] ) ) {
    if( $kapa_opt['kapa_blog_sidebar'] == 'kapa_without_sidebar_center' ) :
        $kapa_sidebar_class = 'col-lg-8 col-md-12 offset-lg-2';
    elseif( $kapa_opt['kapa_blog_sidebar'] == 'kapa_without_sidebar' ) :
        $kapa_sidebar_class = 'col-lg-12 col-md-12';
    else:
        if( is_active_sidebar( 'article-sidebar' ) ):
            $kapa_sidebar_class = 'col-lg-8 col-md-12';
        else:
            $kapa_sidebar_class = 'col-lg-8 col-md-12 offset-lg-2';
        endif;
    endif;
    $sidebar_hide      = $kapa_opt['kapa_blog_sidebar'];
    $hide_blog_banner  = $kapa_opt['hide_blog_banner'];
} else {
    if( is_active_sidebar( 'article-sidebar' ) ):
        $kapa_sidebar_class = 'col-lg-8 col-md-12';
        $sidebar_hide = 'kapa_with_sidebar_right';
    else:
        $kapa_sidebar_class = 'col-lg-8 col-md-12 offset-lg-2';
        $sidebar_hide        = 'kapa_without_sidebar';
    endif;
    $hide_blog_banner = false;
}
// After Hiding Banner add spacing
if( $hide_blog_banner == true ) {
    $page_spac = 'mt-80';
} else {
    $page_spac = '';
} 
$banner_bg = isset( $kapa_opt['search_bg']['url']) ? $kapa_opt['search_bg']['url'] : '';

?>

<!-- Start Page Title Area -->
<?php if( $hide_blog_banner == false ) : ?>
    <div class="page-banner-area" style="background-image:url(<?php echo esc_url( $banner_bg ); ?>);">
        <div class="container">
            <div class="page-banner-content">
                <h2><?php printf( esc_html__( 'Search Results for: %s', 'kapa' ), '<span>' . get_search_query() . '</span>' ); ?></h2>
            </div>
        </div>
    </div>
<?php endif; ?>
<!-- End Page Title Area -->

<!-- Start Blog Area -->
<div class="blog-area pt-100 pb-100 <?php echo esc_attr( $page_spac ); ?>">
    <div class="container">
        <div class="row">
            <?php if( $sidebar_hide == 'kapa_with_sidebar_left' ): ?>
                <?php get_sidebar(); ?>
            <?php endif; ?>
            <!-- Start Blog Content -->
            <div class="<?php echo esc_attr( $kapa_sidebar_class ); ?>">
                <?php
                if ( have_posts() ) :
                    while ( have_posts() ) :
                        the_post();
                        get_template_part( 'template-parts/content', get_post_format());
                    endwhile;
                else :
                    get_template_part( 'template-parts/content', 'none' );
                endif;
                ?>
        
                <!-- Stat Pagination -->
                <?php kapa_pagination(); ?>
                <!-- End Pagination -->
            </div>
            <!-- End Blog Content -->
            
            <?php if( $sidebar_hide == 'kapa_with_sidebar_right' ) : ?>
                <?php get_sidebar(); ?>
            <?php endif; ?>
        </div>   
    </div>
</div>
<!-- End Blog Area -->
<?php
get_footer();