<?php
/**
 * Single Project
*/
get_header();

    global $kapa_opt;

    if( function_exists('acf_add_options_page') ) {
        $hide_banner 	    = get_field( 'enable_page_banner');
        $hide_breadcrumb 	= get_field( 'hide_breadcrumb');
        $custom_title 	    = get_field( 'enable_cus_pagetitle');
    }else {
        $hide_banner 	    = false;
        $hide_breadcrumb 	= false;
        $custom_title 	    = false;
    }

    // After Hiding Banner add spacing
    if( $hide_banner == true ) {
        $page_spac = 'mt-80';
    } else {
        $page_spac = '';
    }

    if( function_exists('acf_add_options_page') ) {
        $banner_bg = get_field( 'post_banner_background_image' );
    }else {
        $banner_bg = '';
    }

?>
    <?php if( $hide_banner == false ) : ?>
        <div class="page-banner-area" style="background-image:url(<?php echo esc_url( $banner_bg ); ?>);">
			<div class="container-fluid">
				<div class="page-banner-content">
                    <?php if( $hide_breadcrumb == false ) : ?>
						<ul>
							<li><a href="<?php echo esc_url( home_url( '/' ) ); ?>"><?php esc_html_e( 'Home', 'kapa' ); ?></a></li>
							<li><span><?php the_title(); ?></span></li>
						</ul>
					<?php endif; ?>
				
					<?php if( $custom_title == true && get_field( 'cus_pagetitle' ) != '' ) { ?>
						<h2><?php echo esc_html( get_field( 'cus_pagetitle' ) ); ?></h2>
					<?php } else { ?>
						<h2><?php the_title(); ?></h2>
					<?php } ?>
				</div>
			</div>
		</div>
    <?php endif; ?>

    <?php if( !kapa_is_elementor()): ?><section class="projects-details-area pt-100"><?php endif; ?>
        <?php if( !kapa_is_elementor()): ?><div class="container"><?php endif; ?>
            <?php while ( have_posts() ) : the_post(); ?>
                <?php the_content(); ?>
            <?php endwhile; ?>
    <?php if( !kapa_is_elementor()): ?><div></section><?php endif; ?>

<?php get_footer();