<?php global $kapa_opt;
/**
 * The single template file
 * @package Kapa
*/

get_header();

$title = get_the_title();

// Blog sidebar
if( isset( $kapa_opt['kapa_blog_sidebar'] ) ) {
    if( $kapa_opt['kapa_blog_sidebar'] == 'kapa_without_sidebar_center' ) :
        $kapa_sidebar_class = 'col-lg-8 col-md-12 offset-lg-2';
    elseif( $kapa_opt['kapa_blog_sidebar'] == 'kapa_without_sidebar' ) :
        $kapa_sidebar_class = 'col-lg-12 col-md-12';
    else:
        if( is_active_sidebar( 'article-sidebar' ) ):
            $kapa_sidebar_class = 'col-lg-8 col-md-12';
        else:
            $kapa_sidebar_class = 'col-lg-8 col-md-12 offset-lg-2';
        endif;
    endif;
    $sidebar_hide = $kapa_opt['kapa_blog_sidebar'];
} else {
    if( is_active_sidebar( 'article-sidebar' ) ):
        $kapa_sidebar_class = 'col-lg-8 col-md-12';
        $sidebar_hide = 'kapa_with_sidebar_right';
    else:
        $kapa_sidebar_class = 'col-lg-8 col-md-12 offset-lg-2';
        $sidebar_hide = 'kapa_without_sidebar';
    endif;
} 

// Blog breadcrumb
$post_page_id       = get_option( 'page_for_posts' );
if( function_exists('acf_add_options_page') ) {
	$hide_blog_banner 	= get_field( 'enable_page_banner');
	$hide_breadcrumb 	= get_field( 'hide_breadcrumb');
	$custom_title 	    = get_field( 'enable_cus_pagetitle');
}else {
	$hide_blog_banner 	= false;
	$hide_breadcrumb 	= false;
	$custom_title 	    = false;
}

// Blog page link
if ( $post_page_id ) {
	$blog_link = get_permalink( $post_page_id );
}else{
	$blog_link = home_url( '/' );
}
// After Hiding Banner add spacing
if( $hide_blog_banner == true ) {
    $page_spac = 'mt-80';
} else {
    $page_spac = '';
}

if( function_exists('acf_add_options_page') ) {
	$banner_bg  = get_field( 'post_banner_background_image' );
	if(get_field( 'post_video_link' ) != ''){
		$video_link = get_field( 'post_video_link' );
	}else {
		$video_link = '';
	}
}else {
    $banner_bg = '';
    $video_link = '';
}
?>
	<?php if( $hide_blog_banner == false ) : ?>
		<div class="page-banner-area" style="background-image:url(<?php echo esc_url( $banner_bg ); ?>);">
			<div class="container-fluid">
				<div class="page-banner-content">
					<?php if( $hide_breadcrumb == false ) : ?>
						<ul>
							<li><a href="<?php echo esc_url( home_url( '/' ) ); ?>"><?php esc_html_e( 'Home', 'kapa' ); ?></a></li>
							
							<?php if ( $post_page_id ) { ?>
								<?php if( $custom_title == true && get_field( 'cus_pagetitle', $post_page_id) != '' ) { ?>
									<li><a href="<?php echo esc_url( $blog_link ); ?>"><?php echo esc_html( get_field( 'cus_pagetitle', $post_page_id) ); ?></a></li>
								<?php } else { ?>
									<li><a href="<?php echo esc_url( $blog_link ); ?>"><?php esc_html_e( 'Blog', 'kapa' ); ?></a></li>
								<?php } ?>
							<?php }  ?>
							<?php if( $custom_title == true && get_field( 'cus_pagetitle') != '' ) { ?>
								<li><?php echo esc_html( get_field( 'cus_pagetitle') ); ?></li>
							<?php } elseif ( $title != '' ){ ?>
								<li><?php the_title(); ?></li>
							<?php } else { ?>
								<li><?php esc_html_e('No Title', 'kapa'); ?></li>
							<?php } ?>
						</ul>
					<?php endif; ?>

					<?php if( $custom_title == true && get_field( 'cus_pagetitle') != '' ) : ?>
						<h2><?php echo esc_html( get_field( 'cus_pagetitle' ) ); ?></h2>
					<?php elseif( $title != '' ): ?>
						<h2><?php the_title(); ?></h2>
					<?php else: ?>
						<h2><?php esc_html_e('No Title', 'kapa'); ?></h2>
					<?php endif; ?>
				</div>
			</div>
		</div>
	<?php endif; ?>

	<!-- Start Blog Area -->
	<div class="blog-details-area ptb-100 <?php echo esc_attr( $page_spac ); ?>">
		<div class="container">
			<div class="row">
				<?php if( $sidebar_hide == 'kapa_with_sidebar_left' ): ?>
                    <?php get_sidebar(); ?>
                <?php endif; ?>

				<?php while ( have_posts() ) : the_post(); ?>
					<div class="<?php echo esc_attr( $kapa_sidebar_class ); ?>">
						<div class="blog-details">
							<?php if( has_post_thumbnail() ) { ?>

								<?php if($video_link != ''): ?>
									<div class="blog-details-image article-img">
										<img src="<?php the_post_thumbnail_url('full') ?>" alt="<?php the_title_attribute(); ?>">

										<a href="<?php echo esc_url( $video_link ); ?>" class="video-btn popup-video">
											<div class="play-icon">
												<i class="ri-play-fill"></i>
											</div>
										</a>
									</div>
								<?php else: ?>
									<div class="article-img">
										<img src="<?php the_post_thumbnail_url('full') ?>" alt="<?php the_title_attribute(); ?>">
									</div>
								<?php endif; ?>

							<?php } ?>

							<div class="blog-details-content">

								<?php if( isset( $kapa_opt['is_post_meta'] ) && $kapa_opt['is_post_meta']  == false ) { ?>
									<ul class="entry-meta">
										<li><i class="ri-calendar-2-fill"></i> 
											<?php echo esc_html(get_the_date()) ?> 
										</li>
										<li>
											<i class="ri-user-2-fill"></i> 

											<?php echo esc_html_e('By:', 'kapa') ?> <a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ), get_the_author_meta( 'user_nicename' ) ) ) ?>">	<?php the_author() ?></a>
										</li>
									</ul>
								<?php } ?>

								<?php the_content(); ?>
								
								<?php wp_link_pages( array(
									'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'kapa' ),
									'after'  => '</div>',
								) );
								?>
								
								<?php if ( get_the_tags() ) :  ?>
									<div class="post-tag-media">
										<ul class="tag">
											<li><span><?php echo esc_html_e('Tags:', 'kapa') ?></span></li>
											<li>
												<?php $tags = get_the_tags();
												foreach ( $tags as $tag ) { ?>
												
													<?php $tag_names[] = '<a href="' . esc_url(get_tag_link( $tag->term_id )) . '">' . $tag->name  . '</a>'; ?>
													
												<?php } echo wp_kses_post( implode( '', $tag_names )); ?>
											</li>
										</ul>
									</div>
								<?php endif; ?>
							</div>
						</div>
					
						<?php
						// If comments are open or we have at least one comment, load up the comment template.
						if ( comments_open() || get_comments_number() ) :
							comments_template();
						endif;
						?>
					</div> <?php 
				endwhile; // End of the loop.
				?>
				
				<?php if( $sidebar_hide == 'kapa_with_sidebar_right' ): ?>
					<?php get_sidebar(); ?>
				<?php endif; ?>

			</div>
		</div>
	</div>

<?php
get_footer();
