<?php global $kapa_opt;
/**
 * @package Kapa
 */

if( isset( $kapa_opt['kapa_blog_sidebar'] ) ) {
    if( $kapa_opt['kapa_blog_sidebar'] == 'kapa_without_sidebar' ) :
        $thumb_size = 'full';
    else:
        $thumb_size = 'kapa_standard_card';
    endif;
} else {
    $thumb_size = 'full';
}

$is_post_meta   = isset( $kapa_opt['is_post_meta']) ? $kapa_opt['is_post_meta'] : false;
$hide_read_more = isset( $kapa_opt['hide_read_more']) ? $kapa_opt['hide_read_more'] : false;
$hide_excerpt   = isset( $kapa_opt['hide_excerpt']) ? $kapa_opt['hide_excerpt'] : false;
$categories = get_the_category();
?>

<div <?php post_class(); ?>>
    <div class="single-blog-post">
        <?php if( has_post_thumbnail() ) : ?>
            <div class="blog-image">
                <a href="<?php the_permalink(); ?>">
                    <img src="<?php the_post_thumbnail_url( $thumb_size ) ?>" alt="<?php the_title_attribute(); ?>">
                </a>
            </div>
        <?php endif; ?>
        <div class="blog-content">
            <ul class="entry-meta">
                <li><i class="ri-calendar-2-fill"></i> 
                    <?php echo esc_html(get_the_date()) ?> 
                </li>
                <li>
                    <i class="ri-user-2-fill"></i> 

                    <?php echo esc_html_e('By:', 'kapa') ?> <a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ), get_the_author_meta( 'user_nicename' ) ) ) ?>">	<?php the_author() ?></a>
                </li>
            </ul>
            <?php if( get_the_title() != '' ) : ?>
                <h3 class="title"><a href="<?php the_permalink() ?>"><?php the_title() ?></a></h3>
            <?php endif; ?>

            <?php if( isset( $kapa_opt['post_read_more'] ) && $kapa_opt['post_read_more'] != '') : ?>
                <a href="<?php the_permalink() ?>" class="default-btn">
                    <?php echo esc_html( $kapa_opt['post_read_more'] ); ?>
                </a>
            <?php else: ?>
                <a href="<?php the_permalink() ?>" class="default-btn">
                    <?php esc_html_e('Read More', 'kapa'); ?>
                </a>
            <?php endif; ?>

        </div>
    </div>
</div>