<?php global $kapa_opt;
/**
 * @package Kapa
*/

$enable_button 		        = !empty($kapa_opt['enable_button']) ? $kapa_opt['enable_button'] : '';
$header_btn_text            = !empty($kapa_opt['header_btn_text']) ? $kapa_opt['header_btn_text'] : '';
$header_btn_link_type       = !empty($kapa_opt['header_btn_link_type']) ? $kapa_opt['header_btn_link_type'] : '';
$header_btn_link_external	= !empty($kapa_opt['header_btn_link_external']) ? $kapa_opt['header_btn_link_external'] : '';
$header_btn_internal 		= !empty($kapa_opt['header_btn_internal']) ? $kapa_opt['header_btn_internal'] : '';

if( function_exists('acf_add_options_page') ) {
    $nav_layout        = get_field( 'header_layout' );
    if( is_home() ) {
        $post_page_id  = get_option( 'page_for_posts' );
        $nav_layout    = get_field( 'header_layout', $post_page_id);
    }
}else {
    $nav_layout 		= 'full_width';
}

if( $nav_layout == 'full_width' ) :
    $nav_layout_class = 'container-fluid';
elseif( $nav_layout == 'boxed' ) :
    $nav_layout_class = 'container';
else:
    $nav_layout_class = 'container-fluid';
endif;

// WP admin bar
$hide_wp_nav = 'hide-wp-nav';

$hide_top_header 	   = !empty($kapa_opt['hide_top_header']) ? $kapa_opt['hide_top_header'] : false;
$top_header_num_text   = !empty($kapa_opt['top_header_num_text']) ? $kapa_opt['top_header_num_text'] : '';
$top_header_num        = !empty($kapa_opt['top_header_num']) ? $kapa_opt['top_header_num'] : '';
$top_header_num_link   = !empty($kapa_opt['top_header_num_link']) ? $kapa_opt['top_header_num_link'] : '';
$top_header_num_img    = !empty($kapa_opt['top_header_num_img']['url']) ? $kapa_opt['top_header_num_img']['url'] : '';

$top_header_mail_text   = !empty($kapa_opt['top_header_mail_text']) ? $kapa_opt['top_header_mail_text'] : '';
$top_header_mail        = !empty($kapa_opt['top_header_mail']) ? $kapa_opt['top_header_mail'] : '';
$top_header_mail_link   = !empty($kapa_opt['top_header_mail_link']) ? $kapa_opt['top_header_mail_link'] : '';
$top_header_mail_img   = !empty($kapa_opt['top_header_email_img']['url']) ? $kapa_opt['top_header_email_img']['url'] : '';

$top_header_add_text   = !empty($kapa_opt['top_header_add_text']) ? $kapa_opt['top_header_add_text'] : '';
$top_header_add        = !empty($kapa_opt['top_header_add']) ? $kapa_opt['top_header_add'] : '';
$top_header_add_img   = !empty($kapa_opt['top_header_add_img']['url']) ? $kapa_opt['top_header_add_img']['url'] : '';

$top_header_hour_text   = !empty($kapa_opt['top_header_hour_text']) ? $kapa_opt['top_header_hour_text'] : '';
$top_header_hour        = !empty($kapa_opt['top_header_hour']) ? $kapa_opt['top_header_hour'] : '';
$top_header_hour_img   = !empty($kapa_opt['top_header_hour_img']['url']) ? $kapa_opt['top_header_hour_img']['url'] : '';


if( function_exists('acf_add_options_page') ) {
    $navbar_style		= get_field( 'choose_navigation_style' );

    if ( class_exists( 'WooCommerce' ) ){
        if(is_shop()){
            $post_page_id       = get_option( 'woocommerce_shop_page_id' );
            $navbar_style		= get_field( 'choose_navigation_style' , $post_page_id );
        }
    }
    if( is_home() ) {
        $post_page_id       = get_option( 'page_for_posts' );
        $navbar_style		= get_field( 'choose_navigation_style' , $post_page_id );
    }

    if($navbar_style == ''){
        $navbar_style		= 1;
    }
} else {
    $navbar_style		= 1;
}

if ( $navbar_style == 2 ) {
    $nav_class = "navbar-style-two";
}elseif ( $navbar_style == 3 ) {
    $nav_class = "navbar-style-three";
}elseif ( $navbar_style == 4 ) {
    $nav_class = "nav-border-space";
}elseif ( $navbar_style == 5 ) {
    $nav_class = "navbar-area style-five-navbar style-four-navbar";
}else {
    $nav_class = "";
}

// kapa Logo
if ( isset( $kapa_opt['mobile_logo']['url']) && $kapa_opt['mobile_logo']['url'] !='' ) :
    $klogo_cls = 'logo-cls';
else :
    $klogo_cls = '';
endif;

if ( has_nav_menu('primary-left') || has_nav_menu('primary-right') ) :
    $logocls = '';
else:
    $logocls = 'logo-pos';
endif;
?>

<?php if( $hide_top_header ==  true ) : ?>
    <div class="topbar-area <?php if ( $navbar_style == 4 ) { echo esc_attr("nav-border-space"); } ?>">
        <div class="container-fluid">
            <div class="row align-items-center">
                <div class="col-lg-9 col-md-9">
                    <ul class="topbar-information">
                        <?php if($top_header_num_img != '' || $top_header_num_text != '' || $top_header_num != '' ): ?>
                            <li>
                                <?php if( $top_header_num_img != '' ): ?>
                                    <img src="<?php echo esc_url( $top_header_num_img ); ?> " alt="<?php esc_attr_e( 'Icon Image', 'kapa' ); ?>">
                                <?php endif; ?>

                                <span> <?php echo esc_html( $top_header_num_text ); ?></span> <a href="<?php echo esc_url( $top_header_num_link ); ?>"><?php echo esc_html( $top_header_num ); ?></a>
                            </li>
                        <?php endif; ?>

                        <?php if($top_header_mail_img != '' || $top_header_mail_text != '' || $top_header_mail != '' ): ?>
                            <li>
                                <?php if( $top_header_mail_img != '' ): ?>
                                    <img src="<?php echo esc_url( $top_header_mail_img ); ?> " alt="<?php esc_attr_e( 'Icon Image', 'kapa' ); ?>">
                                <?php endif; ?>

                                <span> <?php echo esc_html( $top_header_mail_text ); ?></span> <a href="<?php echo esc_url( $top_header_mail_link ); ?>"><?php echo esc_html( $top_header_mail ); ?></a>
                            </li>
                        <?php endif; ?>

                        <?php if($top_header_add_img != '' || $top_header_add_text != '' || $top_header_add != '' ): ?>
                            <li>
                                <?php if( $top_header_add_img != '' ): ?>
                                    <img src="<?php echo esc_url( $top_header_add_img ); ?> " alt="<?php esc_attr_e( 'Icon Image', 'kapa' ); ?>">
                                <?php endif; ?>

                                <span> <?php echo esc_html( $top_header_add_text ); ?></span> <?php echo esc_html( $top_header_add ); ?>
                            </li>
                        <?php endif; ?>
                    </ul>
                </div>

                <?php if($top_header_hour_img != '' || $top_header_hour_text != '' || $top_header_hour != '' ): ?>
                    <div class="col-lg-3 col-md-3">
                        <ul class="topbar-information info-right">
                            <li>
                                <?php if( $top_header_hour_img != '' ): ?>
                                    <img src="<?php echo esc_url( $top_header_hour_img ); ?> " alt="<?php esc_attr_e( 'Icon Image', 'kapa' ); ?>">
                                <?php endif; ?>

                                <span> <?php echo esc_html( $top_header_hour_text ); ?></span> <?php echo esc_html( $top_header_hour ); ?>
                            </li>
                        </ul>
                    </div>
                <?php endif; ?>

            </div>
        </div>
    </div>
<?php endif; ?>

<!-- Start Navbar Area -->
<div class="navbar-area <?php echo esc_attr(  $nav_class ); ?> <?php if ( is_user_logged_in() ) { echo esc_attr( $hide_wp_nav ); } ?> <?php if ( $navbar_style == 4 ) { echo esc_attr("style-four-navbar"); } ?>">
    <div class="main-responsive-nav">
        <div class="container">
            <div class="main-responsive-menu <?php echo esc_attr( $klogo_cls ); ?>">
                <div class="logo">
                    <a href="<?php echo esc_url( home_url( '/' ) );?>">
                        <?php mobile_logo(); ?>
                    </a>
                </div>
            </div>
        </div>
    </div>

    <div class="main-navbar">
        <div class="<?php echo esc_attr( $nav_layout_class ); ?>">
            <nav class="navbar navbar-expand-md navbar-light">
                <?php if( $navbar_style == 2) : ?>
                    <a class="navbar-brand" href="<?php echo esc_url( home_url( '/' ) ); ?>">
                        <?php main_logo2(); ?>
                    </a>
                <?php elseif( $navbar_style == 3 ) : ?>
                    <a class="navbar-brand" href="<?php echo esc_url( home_url( '/' ) ); ?>">
                        <?php main_logo3(); ?>
                    </a>
                <?php endif; ?>

                <div class="collapse navbar-collapse mean-menu" id="navbarSupportedContent">
                    <?php if( $navbar_style != 1 && $navbar_style != 4 && $navbar_style != 5 ) :

                        $primary_nav = [
                            'menu'            => 'primary',
                            'theme_location'  => 'primary',
                            'container'       => null,
                            'menu_class'      => 'navbar-nav ms-auto',
                            'depth'           => 3,
                            'walker'          => new Kapa_Bootstrap_Navwalker(),
                            'fallback_cb'     => 'Kapa_Bootstrap_Navwalker::fallback',
                        ];
                
                        if ( has_nav_menu('primary') ) :
                            wp_nav_menu( $primary_nav );
                        endif; 

                    else:
                        $primary_navl_arg = [
                            'menu'            => 'primary-left',
                            'theme_location'  => 'primary-left',
                            'container'       => null,
                            'menu_class'      => 'navbar-nav me-auto',
                            'depth'           => 3,
                            'walker'          => new Kapa_Bootstrap_Navwalker(),
                            'fallback_cb'     => 'Kapa_Bootstrap_Navwalker::fallback',
                        ];
                
                        if ( has_nav_menu('primary-left') ) :
                            wp_nav_menu( $primary_navl_arg );
                        endif; ?>

                        <div class="main-logo-box <?php echo esc_attr( $logocls ); ?>">
                            <a href="<?php echo esc_url( home_url( '/' ) ); ?>">
                                <?php main_logo(); ?>
                            </a>
                        </div>

                        <?php $primary_navr_arg = [
                            'menu'            => 'primary-right',
                            'theme_location'  => 'primary-right',
                            'container'       => null,
                            'menu_class'      => 'navbar-nav ms-auto',
                            'depth'           => 3,
                            'walker'          => new Kapa_Bootstrap_Navwalker(),
                            'fallback_cb'     => 'Kapa_Bootstrap_Navwalker::fallback',
                        ];
                
                        if ( has_nav_menu('primary-right') ) :
                            wp_nav_menu( $primary_navr_arg );
                        endif;

                    endif; ?>

                    <?php if( $enable_button == true ) : ?>
                        <div class="others-options d-flex align-items-center">
                            <?php if( isset( $kapa_opt['enable_cart_btn'] ) && $kapa_opt['enable_cart_btn'] == true ) {
                                if ( class_exists( 'WooCommerce' ) ) { ?>
                                    <div class="option-item">
                                        <div class="cart-btn">
                                            <a href="<?php echo esc_url(wc_get_cart_url()) ?>">
                                                <i class="ri-shopping-cart-fill"></i>
                                                <span class="mini-cart-count"></span>
                                            </a>
                                        </div>
                                    </div>
                            <?php }
                            } ?>
                            <div class="option-item">
                                <?php if( $header_btn_text != '' ) : ?>
                                    <?php if( $header_btn_link_type == 'external_link' ): ?>
                                        <a href="<?php echo esc_url( $header_btn_link_external ); ?>" class="default-btn"><?php echo esc_html( $header_btn_text); ?></a>
                                    <?php elseif( $header_btn_link_type == 'internal_link' ): ?>
                                        <a href="<?php echo esc_url( home_url( $header_btn_internal ) ); ?>" class="default-btn"><?php echo esc_html( $header_btn_text ); ?></a>
                                    <?php endif; ?>
                                <?php endif; ?>
                            </div>
                        </div>
                    <?php endif; ?>
                </div>
            </nav>
        </div>
    </div>

    <?php if( $header_btn_text != '' ) : ?>
        <div class="others-option-for-responsive">
            <div class="container">
                <div class="others-options">
                    <?php if( isset( $kapa_opt['enable_cart_btn'] ) && $kapa_opt['enable_cart_btn'] == true ) {
                        if ( class_exists( 'WooCommerce' ) ) { ?>
                            <div class="option-item">
                                <div class="cart-btn">
                                    <a href="<?php echo esc_url(wc_get_cart_url()) ?>">
                                        <i class="ri-shopping-cart-fill"></i>
                                        <span class="mini-cart-count"></span>
                                    </a>
                                </div>
                            </div>
                    <?php }
                    } ?>
                    <div class="option-item">
                        <?php if( $header_btn_text != '' ) : ?>
                            <?php if( $header_btn_link_type == 'external_link' ): ?>
                                <a href="<?php echo esc_url( $header_btn_link_external ); ?>" class="default-btn"><?php echo esc_html( $header_btn_text); ?></a>
                            <?php elseif( $header_btn_link_type == 'internal_link' ): ?>
                                <a href="<?php echo esc_url( home_url( $header_btn_internal ) ); ?>" class="default-btn"><?php echo esc_html( $header_btn_text ); ?></a>
                            <?php endif; ?>
                        <?php endif; ?>
                    </div>
                </div>
            </div>
        </div>
    <?php endif; ?>
</div>