<?php
/**
 * The template for displaying product content within loops
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/content-product.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see     https://docs.woocommerce.com/document/template-structure/
 * @package WooCommerce/Templates
 * @version 9.4.0
 */

defined( 'ABSPATH' ) || exit;

global $product;
global $kapa_opt;

$product_sidebar    = isset( $kapa_opt['product_sidebar']) ? $kapa_opt['product_sidebar'] : '';

// Ensure visibility.
if ( empty( $product ) || ! $product->is_visible() ) {
	return;
} ?>

<div class="single-shop-card">
    <div class="shop-image">
        <a href="<?php the_permalink(); ?>">
            <?php the_post_thumbnail( 'kapa_product_size' ); ?>
        </a>

        <?php if($product->is_on_sale()): ?>
            <div class="sale-tag"><?php esc_html_e( 'Sale', 'kapa' ); ?></div>
        <?php endif; ?>

        <div class="add-to-cart-btn-area">
            <?php woocommerce_template_loop_add_to_cart(); ?>
        </div>                     
    </div>
    <div class="shop-content">
        <h3><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
        <?php woocommerce_template_loop_price(); ?>
    </div>
</div>

<?php if( is_woocommerce()): ?>
    <div class="modal productsQuickView fade" id="productsQuickView<?php echo esc_attr(get_the_ID());?>" tabindex="-1" role="dialog" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content">
                <button type="button" class="close" data-bs-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
                <div class="row">
                    <div class="col-lg-6">
                        <div class="products-image">
                        <?php the_post_thumbnail( 'full' ); ?>
                        </div>
                    </div>

                    <div class="col-lg-6">
                        <div class="content">
                            <h3><?php the_title(); ?></h3>
                            <?php woocommerce_template_loop_price(); ?>
                            <?php woocommerce_template_loop_rating(); ?>
                            <?php woocommerce_template_single_excerpt(); ?>

                            <div class="product_meta">
                                <?php woocommerce_template_single_meta(); ?>
                            </div>

                            <a href="<?php the_permalink(); ?>" class="view-full-info"><?php esc_html_e( 'or View Full Info', 'kapa' ); ?></a>

                            <?php  woocommerce_template_single_add_to_cart(); ?>

                            <?php if ( class_exists( 'YITH_WCWL' ) ) { ?>
                                <a href="<?php echo esc_url( get_permalink( get_option( 'yith_wcwl_wishlist_page_id' ) ) ); ?>" class="add-to-wishlist-btn"><i class="far fa-heart"></i></a>
                            <?php } ?>

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php endif; ?>